/// Use case: Récupérer les conversations v4
library get_conversations;

import 'package:injectable/injectable.dart';

import '../entities/conversation.dart';
import '../repositories/messaging_repository.dart';

@lazySingleton
class GetConversations {
  final MessagingRepository repository;

  GetConversations(this.repository);

  Future<List<ConversationSummary>> call() async {
    return await repository.getMesConversations();
  }
}
